API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}

API Resource Path: /apiproducts

Lists all API Products by name for an organization

Verb: GET

Auth: Basic Auth

Content Types:

application/json
text/xml

Developer Guide Topic

Lists by name all API products in an organization.

Sample Request:
$ curl https://api.enterprise.apigee.com/v1/o/{org_name}/apiproducts \
-u myname:mypass

or

$ curl https://api.enterprise.apigee.com/v1/o/{org_name}/apiproducts?"expand=true" \
-u myname:mypass

Query Parameters:
Name Description Default Required?
expand Returns a list of API products with a detailed profile for each record true No
Sample Response:
[ "development", "sandbox", "production" ]

(with "?expand=true")

{
  "apiProduct" : [ {
          "api_resources" : [ "/v2/**", "/v1/receiveSMS", "/v3/*/send" ],
	"approval_type" : "auto",
        	"attributes" : [ {
  	"name" : "RateLimit",
  	"value" : "100"
	}, {
  	"name" : "Threshold",
  	"value" : "50"
	} ],
	"display_name" : "Sandbox Silver",
	"name" : "sandbox"
  }, {
	........
  }]
}